SQLITE3CHANGESET_FK_CONFLICTS(3) | Library Functions Manual | SQLITE3CHANGESET_FK_CONFLICTS(3)

# NAME

`sqlite3changeset_fk_conflicts` — determine the number of foreign key constraint violations

# SYNOPSIS

`#include <sqlite3.h>`

int
`sqlite3changeset_fk_conflicts`(sqlite3_changeset_iter *pIter, int *pnOut);

# DESCRIPTION

This function may only be called with an iterator passed to an SQLITE_CHANGESET_FOREIGN_KEY conflict handler callback. In this case it sets the output variable to the total number of known foreign key violations in the destination database and returns SQLITE_OK.

In all other cases this function returns SQLITE_MISUSE.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 11692.

    SQLITE_API int sqlite3changeset_fk_conflicts(
      sqlite3_changeset_iter *pIter,  /* Changeset iterator */
      int *pnOut                      /* OUT: Number of FK violations */
    );

January 24, 2024 | NetBSD 11.0